import { request } from '@/service/request';
/**
 * 分页获取商品
 * @param params
 * @returns
 */
export function fetchList(data: any) {
  return request({
    url: '/smqjh-system/app-api/v1/claim/page',
    method: 'get',
    params: data
  });
}

/**
 * 获取全部渠道商
 * @returns
 */
export function fetchGetAllChannelList() {
  return request<Api.goods.Channel[]>({
    url: '/smqjh-system/api/v1/channel/listAll',
    method: 'get'
  });
}

/**
 * 获取一级渠道商
 * @returns
 */
export function fetchGetChannelList() {
  return request<Api.goods.Channel[]>({
    url: '/smqjh-system/api/v1/channel/listFirstChannel',
    method: 'get'
  });
}
